<?php
/*
Template Name: Default page with left sidebar Repeater 6-18months NEW
*/
?>

<?php get_header(); ?>

<?php get_template_part( 'partials/page_bg' ); ?>
<?php get_template_part( 'partials/title_box' ); ?>

<?php
//Get compare page
$compare_page = get_theme_mod( 'compare_page', 156 );
//Get sell page
//$car_sell_page = stm_option( 'car_sale_page' );

if ( function_exists( 'icl_object_id' ) ) {
    $id = icl_object_id( $compare_page, 'page', false, ICL_LANGUAGE_CODE );
    if ( is_page( $id ) ) {
        $compare_page = $id;
    }
}

/** @var CTT_Permalinks $ctt_permalinks */
global $ctt_permalinks;

if ( ! empty( $compare_page ) and get_the_id() == $compare_page ): ?>
    <div class="container">
        <?php get_template_part( 'partials/compare' ); ?>
    </div>
    <?php else: ?>


    <div class="container">
        <div class="row">
            <div class="col-md-3 col-sm-12 classic-filter-row" style="margin-top:0px!important;">
                <a href="https://www.aplan.co.uk/insurance-quote/car-insurance/1820" target="_blank"><img src="<?php echo content_url(); ?>/uploads/2016/11/a-plan.png"></a>
            </div>
            <div class="col-md-9 col-sm-12">
                <?php if ( have_posts() ) :
                    while ( have_posts() ) : the_post();
                        the_content();
                        endwhile;
                    endif; 

            /* sort by for sort_price custom fields*/
            
            $rows = array();
            if( have_rows('vehicle') ):

                $price_check  = array();
                while ( have_rows('vehicle') ) :  $rowArr = the_row() ;
                    $prices = get_sub_field('sort_price'); 
                    if(in_array($prices,$price_check)){
                        $rows[(int)$prices + 1] = $rowArr ;
                        $price_check[] = $prices+1;
                    }else{
                        $rows[(int)$prices] = $rowArr;
                    }
                    $price_check[] = $prices ;

                    endwhile; 
                endif; 

            ksort($rows);

            foreach($rows as $row): the_row();

                $post_object = $row['vehicle_details'] ; 

                if( $post_object ): 

                    $post = $post_object; setup_postdata( $post );

                    ?>
                    <div class="wpb_column vc_column_container vc_col-sm-4"><?php the_post_thumbnail('full'); ?></div>
                    <div class="wpb_column vc_column_container vc_col-sm-8">
                        <h3 style="text-align: left;font-family:Montserrat;font-weight:400;font-style:normal;margin-bottom:0px;">
                            <?php the_title(); ?>
                        </h3>
                        <h5>
                            <?php if( $row['derivative_override'] ) { 
                                echo $row['derivative_override']; 
                            } else { 
                                echo $row['derivative'];  } ?>
                        </h5>
						<br/>
						<table>
						<tbody>
						<tr>
						<td><span style="color: #d6376d;"><strong>Monthly + VAT</strong></span></td>
						<td><span style="color: #d6376d;"><strong>Payment Profile</strong></span></td>
						<td><span style="color: #d6376d;"><strong>Mileage Allowance</strong></span></td>
						<td><span style="color: #d6376d;"><strong>Notes</strong></span></td>
						</tr>
						<?php if( have_rows('table_contents') ):
						while( have_rows('table_contents') ): the_row(); 

		// vars
		$monthlyvat = get_sub_field('monthly_vat');
		$payment = get_sub_field('payment_profile');
		$mileage = get_sub_field('mileage_allowance');
		$notes = get_sub_field('notes');
		?>
						?>
						<tr>
						<td><?php echo $monthlyvat; ?></td>
						<td><?php echo $payment; ?></td>
						<td><?php echo $mileage; ?></td>
						<td><?php echo $notes; ?></td>
						</tr>
						<?php endwhile; ?>
						<?php endif; ?>
						</tbody>
						</table>

                        <h5><?php $row['subtitle'];?></h5>

                        <a class="vc_general vc_btn3 vc_btn3-size-sm vc_btn3-shape-square vc_btn3-style-modern vc_btn3-color-default" href="<?php echo esc_url( home_url( '/' ) ); ?>short-term-6-18-months-lease-enquiry/?vehicle_name=<?php the_title(); ?>&vehicle_id=<?php echo get_the_ID($post_object->ID); ?>&derivative=<?php if( $row['derivative_override'] ) { ?><?php echo $row['derivative_override']; ?><?php } else { ?><?php echo $row['derivative']; ?><?php } ?>&miles=<?php echo $row['mileage'];?>&paymentprofile=<?php echo $row['payment_profile'];?>&vehicle_notes=<?php echo $row['vehicle_notes'];?>">ENQUIRE ONLINE</a>

                    </div>
                    <div class="wpb_column vc_column_container vc_col-sm-12" style="margin-bottom:40px;"> </div>

                    <div class="vc_separator wpb_content_element vc_separator_align_center vc_sep_width_100 vc_sep_pos_align_center vc_separator_no_text vc_sep_color_grey" style="margin-bottom:40px;">
                        <span class="vc_sep_holder vc_sep_holder_l">
                            <span  class="vc_sep_line">
                            </span>
                        </span>
                        <span class="vc_sep_holder vc_sep_holder_r">
                            <span  class="vc_sep_line">
                            </span>
                        </span>
                    </div>
                    <?php

                    endif;
                wp_reset_postdata(); 

                endforeach;

            ?>    


            <?php
            wp_link_pages( array(
                'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'motors' ) . '</span>',
                'after'       => '</div>',
                'link_before' => '<span>',
                'link_after'  => '</span>',
                'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'motors' ) . ' </span>%',
                'separator'   => '<span class="screen-reader-text">, </span>',
            ) );
            ?>
        </div>
    </div>
    <div style="height: 50px;"></div>
</div>
<?php endif; ?>


<?php
get_footer();
